%global modulename postcss-selector-parser

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-postcss-selector-parser
Version:        3.1.1
Release:        1%{?dist}
Summary:        > Selector parser with built in methods for working with selector strings.

License:        MIT
URL:            https://github.com/postcss/postcss-selector-parser
Source0:        https://registry.npmjs.org/postcss-selector-parser/-/postcss-selector-parser-3.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(dot-prop) >= 4.1.1 with npmlib(dot-prop) < 5.0.0))
BuildRequires:  ((npmlib(indexes-of) >= 1.0.1 with npmlib(indexes-of) < 2.0.0))
BuildRequires:  ((npmlib(uniq) >= 1.0.1 with npmlib(uniq) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
> Selector parser with built in methods for working with selector strings.

%package 3.1.1
Summary:        > Selector parser with built in methods for working with selector strings.


%description 3.1.1
> Selector parser with built in methods for working with selector strings.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr postcss-selector-parser.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc API.md
%doc CHANGELOG.md
%doc README.md
%license LICENSE-MIT
%{nodejs_dir}/%{modulename}

%files 3.1.1
%doc API.md
%doc CHANGELOG.md
%doc README.md
%license LICENSE-MIT
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 3.1.1-1
- Package automatically generated by npm2srpm
